URL Filtering
9 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| modifyUrlFilteringRuleIndex | PATCH | Modify URL filtering rule index |
| createUrlFilteringRule | POST | Create URL filtering rule |
| deleteUrlFilteringRule | DELETE | Delete URL filtering rule |
| modifyUrlFilteringRule | PATCH | Modify URL filtering rule |
| getCategory | GET | Get Category |
| getGridEapRule | GET | Get URL filtering rule list for eap |
| getGridGatewayRule | GET | Get URL filtering rule list for gateway |
| getUrlFilterGeneral | GET | Get Content Filter Global |
| modifyUrlFilterGeneral | PATCH | Edit Content Filter Global |
modifyUrlFilteringRuleIndex
PATCH /openapi/v1/{omadacId}/sites/{siteId}/url-filters
Modify URL filtering rule index
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema UrlDragSortIndexOpenapiVO
| Field | Type | Required | Description |
|---|---|---|---|
type | string | yes | Type must be gateway or ap |
indexes | object | yes | The order in which items take effect, this object is a Map, the key is item ID and the value is the index you want to set. |
// omada_call_operation
{
"operationId": "modifyUrlFilteringRuleIndex",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify URL filtering rule index.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify
createUrlFilteringRule
POST /openapi/v1/{omadacId}/sites/{siteId}/url-filters
Create URL filtering rule
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema UrlFilteringOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
type | string | yes | Type should be a value as follows: "gateway"; "ap". |
name | string | yes | Name should contain 1 to 64 characters. |
status | boolean | yes | Status of the URL filtering. |
policy | integer | yes | Policy should be a value as follows: 0: drop; 1: allow. |
sourceType | integer | yes | Source type should be a value as follows: 0: network; 1: IP group; 2: SSID. |
sourceIds | array<string> | yes | Source IDs of the URL filtering. Network can be created using 'Create LAN network' interface, and network ID can be obtained from 'Get LAN network list' interface. IP group can be created using 'Create a new group profile' interface, and IP group ID can be obtained from 'Get group profile list' interface. SSID can be created using 'Create new SSID' interface, and SSID ID can be obtained from 'Get SSID list' interface. |
mode | integer | yes | Mode should be a value as follows: 0: URL Path; 1: keywords(Only for gateway). |
urls | array<string> | no | URLs of the URL filtering, eg: www.google.com. |
keywords | array<string> | no | Keywords of the URL filtering. |
filterMode | integer | yes | filterMode should be a value as follows: 0: URL; 1: category. |
scenarioMode | integer | no | scenarioMode should be a value as follows:0: Custom 1: Family 2:Work 3:Education 4:Guest. |
categories | object | no | categories of the URL filtering, TreeMap<String, List<String>> categories |
timeRange | string | no | timeRange of the URL filtering, TimeSchedule |
// omada_call_operation
{
"operationId": "createUrlFilteringRule",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create URL filtering rule.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33664 - The gateway does not support configuring Keywords as URL mode.
-33665 - The gateway does not support URL Category mode.
-33671 - The gateway does not support configuring time schedule in URL Filter.
deleteUrlFilteringRule
DELETE /openapi/v1/{omadacId}/sites/{siteId}/url-filters/{ruleId}
Delete URL filtering rule
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
ruleId | path | string | yes | URL filtering rule ID |
// omada_call_operation
{
"operationId": "deleteUrlFilteringRule",
"params": {
"siteId": "<siteId>",
"ruleId": "<ruleId>"
}
}Details, permissions and error codes
Delete URL filtering rule.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify
modifyUrlFilteringRule
PATCH /openapi/v1/{omadacId}/sites/{siteId}/url-filters/{ruleId}
Modify URL filtering rule
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
ruleId | path | string | yes | URL filtering rule ID |
Request body — application/json (required) — schema UrlFilteringOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
type | string | yes | Type should be a value as follows: "gateway"; "ap". |
name | string | yes | Name should contain 1 to 64 characters. |
status | boolean | yes | Status of the URL filtering. |
policy | integer | yes | Policy should be a value as follows: 0: drop; 1: allow. |
sourceType | integer | yes | Source type should be a value as follows: 0: network; 1: IP group; 2: SSID. |
sourceIds | array<string> | yes | Source IDs of the URL filtering. Network can be created using 'Create LAN network' interface, and network ID can be obtained from 'Get LAN network list' interface. IP group can be created using 'Create a new group profile' interface, and IP group ID can be obtained from 'Get group profile list' interface. SSID can be created using 'Create new SSID' interface, and SSID ID can be obtained from 'Get SSID list' interface. |
mode | integer | yes | Mode should be a value as follows: 0: URL Path; 1: keywords(Only for gateway). |
urls | array<string> | no | URLs of the URL filtering, eg: www.google.com. |
keywords | array<string> | no | Keywords of the URL filtering. |
filterMode | integer | yes | filterMode should be a value as follows: 0: URL; 1: category. |
scenarioMode | integer | no | scenarioMode should be a value as follows:0: Custom 1: Family 2:Work 3:Education 4:Guest. |
categories | object | no | categories of the URL filtering, TreeMap<String, List<String>> categories |
timeRange | string | no | timeRange of the URL filtering, TimeSchedule |
// omada_call_operation
{
"operationId": "modifyUrlFilteringRule",
"params": {
"siteId": "<siteId>",
"ruleId": "<ruleId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify URL filtering rule.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33664 - The gateway does not support configuring Keywords as URL mode.
-33665 - The gateway does not support URL Category mode.
-33671 - The gateway does not support configuring time schedule in URL Filter.
getCategory
GET /openapi/v1/{omadacId}/sites/{siteId}/url-filters/category
Get Category
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getCategory",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get Category.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
Site Device Manager View Only
getGridEapRule
GET /openapi/v1/{omadacId}/sites/{siteId}/url-filters/eap
Get URL filtering rule list for eap
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridEapRule",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get URL filtering rule list for eap.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
getGridGatewayRule
GET /openapi/v1/{omadacId}/sites/{siteId}/url-filters/gateway
Get URL filtering rule list for gateway
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridGatewayRule",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get URL filtering rule list for gateway.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
Site Device Manager View Only
getUrlFilterGeneral
GET /openapi/v1/{omadacId}/sites/{siteId}/url-filters/globalUrlFilter
Get Content Filter Global
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getUrlFilterGeneral",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get Content Filter Global.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
Site Device Manager View Only
modifyUrlFilterGeneral
PATCH /openapi/v1/{omadacId}/sites/{siteId}/url-filters/globalUrlFilter
Edit Content Filter Global
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema UrlFilterGlobalOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
blockPage | boolean | yes | blockPage should be a value as follows: false: close; true: open. |
blockPageMessage | string | no | blockPageMessage of blockPage,when blockPage switch is open. |
safeSearch | boolean | yes | safeSearch should be a value as follows: false: close; true: open. |
// omada_call_operation
{
"operationId": "modifyUrlFilterGeneral",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Edit Content Filter Global.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify